curl --request POST \
--url https://api.instantly.ai/api/v2/workspace-group-members \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"sub_workspace_id": "01a082d0-335f-7b13-99e0-aee7fdf0a493"
}
'import requests
url = "https://api.instantly.ai/api/v2/workspace-group-members"
payload = { "sub_workspace_id": "01a082d0-335f-7b13-99e0-aee7fdf0a493" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({sub_workspace_id: '01a082d0-335f-7b13-99e0-aee7fdf0a493'})
};
fetch('https://api.instantly.ai/api/v2/workspace-group-members', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.post("https://api.instantly.ai/api/v2/workspace-group-members")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"sub_workspace_id\": \"01a082d0-335f-7b13-99e0-aee7fdf0a493\"\n}")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.instantly.ai/api/v2/workspace-group-members",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'sub_workspace_id' => '01a082d0-335f-7b13-99e0-aee7fdf0a493'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.instantly.ai/api/v2/workspace-group-members"
payload := strings.NewReader("{\n \"sub_workspace_id\": \"01a082d0-335f-7b13-99e0-aee7fdf0a493\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "01a082d0-335f-7b13-99e0-aee5f036f711",
"admin_workspace_id": "01a082d0-335f-7b13-99e0-aee61e42af74",
"sub_workspace_id": "01a082d0-335f-7b13-99e0-aee7fdf0a493",
"status": "accepted",
"timestamp_created": "2026-09-08T20:57:57.855Z",
"timestamp_updated": "2026-09-08T20:57:57.855Z",
"sub_workspace_name": "My Workspace",
"admin_workspace_name": "My Workspace"
}{
"statusCode": 400,
"error": "Bad Request",
"message": "body must have required property 'name'"
}{
"statusCode": 401,
"error": "Unauthorized",
"message": "Missing Authorization header"
}{
"statusCode": 402,
"error": "Payment Required",
"message": "Workspace does not have an active paid plan"
}{
"statusCode": 404,
"error": "Not Found",
"message": "Resource not found"
}{
"statusCode": 409,
"error": "Conflict",
"message": "The sub workspace already has an active parent or invitation"
}{
"statusCode": 429,
"error": "Too Many Requests",
"message": "Rate limit exceeded"
}Create workspace group member
This endpoint allows you to send an invitation for a sub workspace to join the admin workspace. The sub workspace will be added as a sub workspace of the admin workspace only if the sub workspace owner accepts the invitation.
Requires one of the following scopes: workspace_group_members:create, workspace_group_members:all, all:create, all:all
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
The Workspace Group Member to create
The Workspace Group Member to create
The id of the sub workspace
"01a082d0-335f-7b13-99e0-aee7fdf0a493"
Response
The Workspace Group Member
A member of a workspace group. You can use the endpoints within this entity to manage the members of a workspace group.
The unique identifier of the workspace group member
"01a082d0-335f-7b13-99e0-aee5f036f711"
The id of the admin workspace
"01a082d0-335f-7b13-99e0-aee61e42af74"
The id of the sub workspace
"01a082d0-335f-7b13-99e0-aee7fdf0a493"
pending, accepted, rejected "accepted"
"2026-09-08T20:57:57.855Z"
"2026-09-08T20:57:57.855Z"
The name of the sub workspace.
"My Workspace"
The name of the admin workspace.
"My Workspace"